Page MenuHomePhabricator

Implement v1 Wikibase.cloud landing page for the closed beta launch
Closed, ResolvedPublic1 Estimated Story Points

Description

As a visitor to Wikibase.cloud landing page who does not yet have access to the closed beta launch of the platform, I want to understand what the platform is and find out what is in store for the future so that I can decide if I should apply for the closed beta launch or contact WMDE for more information.

Changes needed:

  1. New landing page content is implemented (draft in progress)
  2. Footer is streamlined to remove current lists of links, leaving only:

Event Timeline

@Jan_Dittrich and I looked at this together for an bit to get a rough layout we could be happy with. We did this on my laptop and then I took a screenshot. The rough code is also in a draft PR on the repo.

Possible screenshot of how this could look:

image.png (895×1 px, 58 KB)

WIP/Draft PR: https://github.com/wbstack/ui/pull/384

  • We could not include all content from the suggested text, since there are no FAQ yet (and we did not want to create a dysfunctional link)
  • We went with the not-a-waitinglist text-version for now, but we can easily add a link to the the get considered for closed beta form (we probably should be clear likely it is to get in the closed beta)
WMDE-leszek changed the task status from Open to Stalled.Apr 5 2022, 6:34 PM
WMDE-leszek added a subscriber: WMDE-leszek.

Copy changes pending

Intended text on the landing page:

Make your structured data available in our cloud
If you've wanted to run your own Wikibase but don't have the infrastructure and support you'd need, Wikibase.cloud is for you. You provide the data – we provide a full-fledged and fully managed Wikibase.

Coming soon
Wikibase.cloud is in a closed beta, which means we're not yet accepting account requests. While you wait, consider joining the Wikibase community mailing list.

[copywriter suggests: no headline; this needs to be conspicuous at the bottom of the page where the eye falls when nothing else applies
Still have questions? Drop us a line using our contact form. Now is also a great time to get involved in the Wikibase community [links].


Compared to the exercise result described above, changed needed are:

  • adjust "still have questions" text, adding the "Now is also a great time..." bit
  • UX/Design to consider the note of styling ("no headline") of the contact text (unless already happened)

I wouldn't mind if an engineer/UX/Designer did letter-by-letter check that the other two parts in the linked change already have the intended text.

WMDE-leszek changed the task status from Stalled to Open.Apr 11 2022, 2:39 PM

I wouldn't mind if an engineer/UX/Designer did letter-by-letter check that the other two parts in the linked change already have the intended text.

Where could one read said texts?

toan removed toan as the assignee of this task.May 19 2022, 10:02 AM
toan added a subscriber: toan.
Tarrow claimed this task.